dose3-extraversion

Dose-extra libraries and tools (part of Mancoosi tools)

The dose-extra suite provides libraries for handling package meta-data, and various tools for analyzing package relationships in a large package repository.

  • dose-builddebcheck checks, given a collection of source package stanzas and a collection of binary package stanzas of Debian packages, whether the build-dependencies of each source package can be satisfied by the binary packages.
  • dose-distcheck checks for every package of a distribution whether it is possible to satisfy its dependencies and conflicts within this distribution.
  • ceve, a general metadata parser supporting different input formats (Debian, rpm, and others) and different output formats.
  • dose-outdated, a Debian-specific tool for finding packages that are not installable with respect to a package repository, and that can only be made installable again by fixing the package itself.
  • dose-challenged, a Debian-specific tool for checking which packages will certainly become uninstallable when some existing package is upgraded to a newer version.
  • dose-deb-coinstall, a Debian-specific tool for checking whether a set of packages can be installed all together.
AuthorsPietro Abate, Ralf Treinen, Jaap Boender, Johannes Schauer Marin Rodrigues, Roberto Di Cosmo, Felipe Garay, Stefano Zacchiroli, Jakub Zwolakowski and Olivier Rosello
LicenseLGPL-3.0-or-later WITH OCaml-LGPL-linking-exception
Published
Homepagehttp://www.mancoosi.org/software/
Issue Trackerhttps://gitlab.com/irill/dose3/issues/
MaintainersPietro Abate, Johannes Schauer Marin Rodrigues and Ralf Treinen
Dependencies
Source [http] https://gitlab.com/irill/dose3/-/archive/7.0.0/dose3-7.0.0.tar.gz
md5=bc99cbcea8fca29dca3ebbee54be45e1
sha512=98dc4bd28e9f4aa8384be71b31783ae1afac577ea587118b8457b554ffe302c98e83d0098971e6b81803ee5c4f2befe3a98ef196d6b0da8feb4121e982ad5c2f
StatisticsInstalled 123 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/dose3-extra/dose3-extra.7.0.0/opam
No package is dependent